# TP 1 Pasticité - Jovian Hersemeule
print("PLARU starting ...")

import scipy as sc
from plaruCompute import radialReturn
from plaruPlot import fullPlot

# Parameters
E = 1.0
sigY = 2.0
H = 0.25

# test
# size = 50
# deps = 0.1 * sc.ones(size)

# a)
# d1 = 0.1 * sc.ones(25)
# d2 = -0.1 * sc.ones(21)
# deps = sc.concatenate((d1, d2))

# b)
# d1 = 0.1 * sc.ones(25)
# d2 = -0.1 * sc.ones(45)
# d3 = 0.1 * sc.ones(20)
# deps = sc.concatenate((d1, d2, d3))

# c) 1
d1 = 0.1 * sc.ones(15)
d2 = -0.1 * sc.ones(15)
d3 = 0.1 * sc.ones(25)
d4 = -0.1 * sc.ones(21)
d5 = 0.1 * sc.ones(35)
d6 = -0.1 * sc.ones(24)
deps = sc.concatenate((d1, d2, d3, d4, d5, d6))

# c) 2
# deps = sc.concatenate((d5, d6, d3, d4, d1, d2))


# Compute results
(eps, sig, epsP) = radialReturn(deps, E, sigY, H = H)

# Plot results
fullPlot(eps, sig, epsP, deps)